Page MenuHomePhabricator

Integrate CustomField into Herald
Closed, ResolvedPublic

Description

Leftover from T343. Integrate custom fields into Herald, so you can write rules based on them. Nice to have, but no requests for it yet.

(same as Facebook task 518501)

Related Objects

Event Timeline

epriestley triaged this task as Low priority.Dec 2 2011, 11:21 PM
epriestley added a project: Differential.
epriestley added a subscriber: epriestley.
jungejason updated the task description. (Show Details)Jan 4 2012, 1:37 AM
btrahan added a project: Differential.
epriestley edited this Maniphest Task.Mar 19 2013, 3:46 PM
epriestley added a subscriber: Unknown Object (MLST).Sep 3 2013, 11:34 PM

This will impact FB as it moves forward, because FB has custom Differential fields.

epriestley edited this Maniphest Task.Sep 4 2013, 3:32 PM
epriestley renamed this task from Integrate Differential custom fields into Herald to Integrate CustomField into Herald.Apr 3 2014, 10:16 PM
epriestley edited projects, added Custom Fields; removed Differential.
epriestley added a subscriber: bigo.
epriestley edited this Maniphest Task.Apr 3 2014, 10:16 PM
epriestley edited this Maniphest Task.Apr 4 2014, 12:48 AM
epriestley edited this Maniphest Task.Apr 4 2014, 1:43 AM

@bigo / @frgtn, this probably doesn't cover your use case completely as-is, but I'm not sure how close it gets. In particular, these field types are supported:

  • bool, remarkup, text, users
  • fully custom fields which reasonably approximate these standard fields

These are not, but support is meaningless because they aren't editable:

  • header

These are not, but support is possible:

  • date (needs range/comparison conditions, and date value type?)
  • int (needs range/comparsion conditions?)
  • select (needs custom value type with options)
  • credential (unclear what support would look like, needs new value type?)
  • fully custom fields which are similar to these standard fields

Basically, do you want to write conditions against any of these unsupported field types at this time? For example, [number of hours] [is greater than] [2], or [some custom select dropdown] [is any of] [custom value 1, custom value 2]? If so, which ones?

chad edited this Maniphest Task.May 10 2014, 5:28 AM
rfergu added a subscriber: rfergu.May 16 2014, 6:11 PM

Would love to see date fields supported.

The use case I'm trying to cover is to create notifications for open tasks that are past their Due Date (custom date field that we use).

It appears that all the blocking and related tasks have been completed, but this one is still pending. If this is no longer blocked it may be worth re-prioritizing higher and addressing :)

aik099 removed a subscriber: aik099.Jun 16 2015, 1:35 PM
epriestley changed the visibility from "All Users" to "Public (No Login Required)".
eadler added a subscriber: eadler.Jul 3 2015, 7:48 PM

We have a custom field for "Task type" (feature, bug, etc). Would *love* the ability to use herald with this field.

That's supported after D13618.

Only "date", "int" and "credential" remain unsupported.

Thanks for clarifying.

epriestley closed this task as Resolved.Nov 10 2015, 7:04 PM
epriestley claimed this task.

The use case I'm trying to cover is to create notifications for open tasks that are past their Due Date (custom date field that we use).

See T6491.

We don't have any actual outstanding requests for "date" (as it would actually work), "int" or "credential" (or any of the more esoteric and primarily internal fields which now exist) so I'm going to close this until we do.

urzds added a subscriber: urzds.Jul 12 2017, 11:14 AM